:root {
--main-bg-color: #91A6C2;
--window-bg-color: #768292;
}

@font-face {
    font-family: 'biryanibold';
    src: url('Biryani-Bold-webfont.eot');
    src: url('Biryani-Bold-webfont.eot?#iefix') format('embedded-opentype'),
         url('Biryani-Bold-webfont.woff2') format('woff2'),
         url('Biryani-Bold-webfont.woff') format('woff'),
         url('Biryani-Bold-webfont.ttf') format('truetype'),
         url('Biryani-Bold-webfont.svg#biryanibold') format('svg');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'space_monoregular';
    src: url('SpaceMono-Regular-webfont.eot');
    src: url('SpaceMono-Regular-webfont.eot?#iefix') format('embedded-opentype'),
         url('SpaceMono-Regular-webfont.woff2') format('woff2'),
         url('SpaceMono-Regular-webfont.woff') format('woff'),
         url('SpaceMono-Regular-webfont.ttf') format('truetype'),
         url('SpaceMono-Regular-webfont.svg#space_monoregular') format('svg');
    font-weight: normal;
    font-style: normal;

}

body {
    margin: 0;
    background: var(--main-bg-color);
    color: #fff4ca;
}

.main {
    width: 90%;
    margin: 20px auto;
    display: grid;
    grid-template-columns: 1fr 500px 2fr 600px 1fr;
    grid-template-rows: 1fr 500px 1fr;
}

textarea {
    resize: none;
    width: 100%;
    height: 100%;
    background: var(--window-bg-color);
    border: none;
    padding: 10px;
    color: #fff4ca;
    font-size: 1rem;
    
}

.headline {
    font-family: 'biryanibold';
    display: flex;
    grid-column-start: 2;
    grid-column-end: 5;
    grid-row-start: 1;
    grid-row-end: 2;
    justify-content: center;
    font-size: 3.6rem;
    color: black;
}

.editor {
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 2;
    grid-row-end: 3;
    background: var(--window-bg-color);
    border: solid black 3px;
    
    font-size: 1.2rem;
}

#preview {
   overflow-x: scroll;
    grid-column-start: 4;
    grid-column-end: 5;
    grid-row-start: 2;
    grid-row-end: 3;
    padding: 10px;
    background: var(--window-bg-color);
    border: solid black 3px;
    text-align: block;
    height: auto;
    font-size: 1rem;
   
}






